Can't install Express with 0.10.12 and 1.3.11 #3929

Closed
0x80 opened this Issue Sep 24, 2013 · 2 comments

Projects

None yet

3 participants

@0x80
0x80 commented Sep 24, 2013

I'm trying to install Express globally. Or really as part of node-inspector. But I can't because I'm getting all these errors. What's going on? With previous versions it worked. To I need to downgrade or upgrade maybe?

npm ERR! Error: ENOENT, open '/home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/buffer-crc32/package.json'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Linux 2.6.38-16-server
npm ERR! command "node" "/home/cbuild/.nvm/v0.10.12/bin/npm" "install" "-g" "express"
npm ERR! cwd /home/cbuild
npm ERR! node -v v0.10.12
npm ERR! npm -v 1.3.11
npm ERR! path /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/buffer-crc32/package.json
npm ERR! code ENOENT

And running it again I get something else:

npm ERR! EEXIST, mkdir '/home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/send'
File exists: /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/send
Move it away, and try again.

npm ERR! System Linux 2.6.38-16-server
npm ERR! command "node" "/home/cbuild/.nvm/v0.10.12/bin/npm" "install" "-g" "express"
npm ERR! cwd /home/cbuild
npm ERR! node -v v0.10.12
npm ERR! npm -v 1.3.11
npm ERR! path /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/send
npm ERR! fstream_path /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/send/History.md
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code EEXIST
npm ERR! errno 47
npm ERR! fstream_stack /home/cbuild/.nvm/v0.10.12/lib/node_modules/npm/node_modules/fstream/lib/writer.js:171:23
npm ERR! fstream_stack /home/cbuild/.nvm/v0.10.12/lib/node_modules/npm/node_modules/mkdirp/index.js:37:53
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! EEXIST, mkdir '/home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/debug'
File exists: /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/debug
Move it away, and try again.

npm ERR! System Linux 2.6.38-16-server
npm ERR! command "node" "/home/cbuild/.nvm/v0.10.12/bin/npm" "install" "-g" "express"
npm ERR! cwd /home/cbuild
npm ERR! node -v v0.10.12
npm ERR! npm -v 1.3.11
npm ERR! path /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/debug
npm ERR! fstream_path /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/debug/debug.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code EEXIST
npm ERR! errno 47
npm ERR! fstream_stack /home/cbuild/.nvm/v0.10.12/lib/node_modules/npm/node_modules/fstream/lib/writer.js:171:23
npm ERR! fstream_stack /home/cbuild/.nvm/v0.10.12/lib/node_modules/npm/node_modules/mkdirp/index.js:37:53
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! EEXIST, mkdir '/home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/cookie-signature'
File exists: /home/cbuild/.nvm/v0.10.12/lib/node_modules/express/node_modules/cookie-signature
Move it away, and try again.

@timoxley
Member

@0x80 are you still having this issue? I'm unable to reproduce. Perhaps upgrade npm to latest (npm install -g npm@latest) and/or do anpm cache clean` then try again?

#4430

@0x80
0x80 commented Jan 13, 2014

@timoxley No I've moved on since. I'm now using node 0.10.24 and npm 1.3.21. No issues here :)

@domenic domenic closed this Jan 13, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment